TEMPLATE = app
TARGET = %ProjectName:c%

DEFINES -= UNICODE

CONFIG -= qt

unix {
    # You may need to change this include directory
    INCLUDEPATH += /usr/include/OGRE
    CONFIG += link_pkgconfig
    PKGCONFIG += OGRE
}
win32 {
    LIBS *= user32.lib
    LIBS += -L$(OGRE_HOME)\\boost\\lib
    release:LIBS += -L$(OGRE_HOME)\\lib\\release
    debug:LIBS += -L$(OGRE_HOME)\\lib\\debug
    INCLUDEPATH += $(OGRE_HOME)\\include
    INCLUDEPATH += $(OGRE_HOME)\\include\\OIS
    INCLUDEPATH += $(OGRE_HOME)\\include\\OGRE
    INCLUDEPATH += $(OGRE_HOME)\\boost
}
INCLUDEPATH += include

debug {
    TARGET = $$join(TARGET,,,d)
    LIBS *= -lOgreMain_d -lOIS_d
}
release:LIBS *= -lOgreMain -lOIS

HEADERS += \
    include/%ProjectName:c%.%CppHeaderSuffix% \
    include/BaseApplication.%CppHeaderSuffix%
 
SOURCES += \
    src/%ProjectName:c%.%CppSourceSuffix% \
    src/BaseApplication.%CppSourceSuffix%